## texmaker 4.5

=== debian/changelog ===
texmaker (4.5-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Remove Ruben Molina from Uploaders since his mail address bounces

  [ Julián Moreno Patiño ]
  * New upstream release.
  * d/patches: Refresh patches offset.
    + Remove fix-qtlocalpeer-compilation patch, merge with upstream.
    + Add 30-fix-spelling-errors.patch patch to fix spelling errors.
  * Bump Standards-Version to 3.9.8 (no changes).
  * Acknowledge NMU. Thanks Andreas Bombe.
  * d/copyright: Extend debian copyright holder years.
  * d/rules: Add support for missing hardening flags.
  * d/menu: Remove, desktop file is default one.
  * d/control: Use HTTPS transport protocol for Vcs-Browser.

 -- Julián Moreno Patiño <julian@debian.org>  Tue, 27 Sep 2016 12:02:24 -0500
