=== debian/control ===
Source: texmaker
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Julián Moreno Patiño <julian@debian.org>
Section: tex
Priority: optional
Build-Depends: debhelper (>= 9),
               qtscript5-dev,
               qtbase5-dev,
               libglib2.0-dev,
               libpoppler-qt5-dev,
               libpoppler-private-dev (>= 0.24.5-2),
               libqt5webkit5-dev,
               qtdeclarative5-dev,
               libqt5opengl5-dev,
               libsynctex-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-science/packages/texmaker/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/texmaker/trunk/
Homepage: http://www.xm1math.net/texmaker/

Package: texmaker
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         texmaker-data (= ${source:Version})
Recommends: aspell,
            ghostscript,
            netpbm,
            psutils,
            latex-beamer,
            texlive-latex-extra,
            texlive-lang-english,
            hunspell-en-us | hunspell-dictionary | myspell-dictionary,
            asymptote
Suggests: texlive-lang-all
Description: cross-platform LaTeX editor
 Texmaker is a clean, highly configurable LaTeX editor with good hot key 
 support and extensive LaTeX documentation. Texmaker integrates many tools 
 needed to develop documents with LaTeX, in just one application. It has 
 some nice features such as syntax highlighting, insertion of 370 mathematical 
 symbols with only one click, and "structure view" of the document for easier 
 navigation. 

Package: texmaker-data
Architecture: all
Depends: ${misc:Depends}
Replaces: texmaker (<< ${source:Version})
Description: Texmaker LaTeX editor -- arch-independent files
 Texmaker is a clean, highly configurable LaTeX editor with good hot key
 support and extensive LaTeX documentation.
 .
 This package contains documentation and arch-independent files for Texmaker.
