## texmaker 5.0.2

=== debian/changelog ===
texmaker (5.0.2-1build2) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 22:01:33 -0500

texmaker (5.0.2-1build1) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-4.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 27 Feb 2018 09:51:13 -0600

texmaker (5.0.2-1) unstable; urgency=medium

  * New upstream version
  * Move packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.3 (no changes needed)
  * Build-Depends: qtbase5-private-dev

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jan 2018 13:18:54 +0100
