=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Julián Moreno Patiño <julian@debian.org>
 Section: tex
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                qtscript5-dev,
                qtbase5-dev,
                libglib2.0-dev,
@@ -13,10 +13,11 @@
                libqt5webkit5-dev,
                qtdeclarative5-dev,
                libqt5opengl5-dev,
-               libsynctex-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-science/packages/texmaker/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/texmaker/trunk/
+               libsynctex-dev,
+               qtbase5-private-dev
+Standards-Version: 4.1.3
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/texmaker.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/texmaker.git
 Homepage: http://www.xm1math.net/texmaker/
 
 Package: texmaker
