=== debian/watch ===
# watch control file for uscan to obtain texmaker
version=3
http://www.xm1math.net/texmaker/download.html texmaker-(.*)\.tar\.bz2
