## texmaker 5.0.3

=== debian/changelog ===
texmaker (5.0.3-1build5) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-8.

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Apr 2020 20:09:27 +0100

texmaker (5.0.3-1build4) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:59:34 +0100

texmaker (5.0.3-1build3) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-5.

 -- Rik Mills <rikmills@kde.org>  Sun, 27 Oct 2019 06:31:42 +0000

texmaker (5.0.3-1build2) eoan; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-4.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 08 Jul 2019 12:59:14 +0300

texmaker (5.0.3-1build1) disco; urgency=medium

  * No change rebuild against qtbase-abi-5-12-2.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 27 Mar 2019 14:26:49 +0000

texmaker (5.0.3-1) unstable; urgency=medium

  [ Julián Moreno Patiño ]
  * New upstream release.
  * debian/patches/70-add-crossbuild-support.patch, Add
    crossbuild support. (Closes: #916237)
    + Thanks to Helmut Grohne for it.
  * debian/control, Bump Standards-Version to 4.3.0 (no changes).
    + Bump debhelper version to 11.
    + Remove trailing whitespaces.
  * debian/compat, Switch compat level 10 to 11.
  * debian/changelog, Remove trailing whitespaces.
  * debian/copyright, Extend copyright holders years.

  [ Philip Rinn ]
  * Team upload.
  * Mark texmaker-data Multi-Arch: foreign

 -- Julián Moreno Patiño <julian@debian.org>  Mon, 11 Feb 2019 23:28:42 -0500

texmaker (5.0.2-2) unstable; urgency=medium

  [ Philip Rinn ]
  * Team upload.
  * d/patches: fix crash with new libsynctex (fixes: #896656, #897071, #896567)
    + Add 60-fix-for-new-libsynctex1-API.patch to fix crash on startup
  * Update Vcs URLs in d/control to point to salsa.d.o

  [ Andreas Tille ]
  * Clean up copyright
  * Standards-Version: 4.1.4

 -- Philip Rinn <rinni@inventati.org>  Thu, 03 May 2018 18:18:35 +0200
