=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 data=$(pkg)-data
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_clean:
 	[ ! -f Makefile ] || $(MAKE) distclean
