## texmaker 5.1.2+dfsg

=== debian/changelog ===
texmaker (5.1.2+dfsg-2build1) kinetic; urgency=medium

  * No-change rebuild against Qt 5.15.4.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 17 May 2022 13:03:01 +0300

texmaker (5.1.2+dfsg-2) unstable; urgency=medium

  * Drop usr/share/pixmaps from texmaker package
  * texmaker-data: Conflicts: texmaker (= 5.1.2+dfsg-1)
    Closes: #1007149

 -- Andreas Tille <tille@debian.org>  Thu, 17 Mar 2022 18:07:54 +0100

texmaker (5.1.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entry 1.3-1.
  * watch file standard 4 (routine-update)
  * Drop synctex_parser from upstream source
  * Install locale files from debian/tmp
  * Provide /usr/share/texmaker dir as installed by upstream
  * Remove extra license and changelog file
  * Docs will be installed via symlinks

 -- Andreas Tille <tille@debian.org>  Fri, 11 Mar 2022 13:48:13 +0100
