=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export QT_SELECT := qt5
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

pkg=texmaker
data=$(pkg)-data

%:
	dh $@

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	$(RM) .obj/* .moc/* .ui/*
	dh_auto_clean

override_dh_auto_test:
	# do not try testing

override_dh_installchangelogs:
	dh_installchangelogs utilities/CHANGELOG.txt

override_dh_installdocs:
	dh_installdocs
	# Setting symlinks from doc dir to /usr/share/texmaker
	for docfile in `ls $(CURDIR)/debian/$(data)/usr/share/$(pkg)/*.html $(CURDIR)/debian/$(data)/usr/share/$(pkg)/*.png` ; do \
	    dh_link -p $(data) `echo $${docfile} | sed 's#^.*/debian/[^/]\+/##'` /usr/share/doc/$(pkg)/html/`basename $${docfile}` ; \
	done

override_dh_install:
	dh_install
	find debian/*/usr/share \( -name COPYING -o -name CHANGELOG.txt \) -delete
