=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto" \
  http://www.xm1math.net/texmaker/download.html texmaker-(.*)\.tar\.bz2
