## texmaker 5.1.3+dfsg

=== debian/changelog ===
texmaker (5.1.3+dfsg-3build1) questing; urgency=medium

  * No-change rebuild against Qt 5.15.17.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 13 Jul 2025 16:24:01 +0300

texmaker (5.1.3+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Drop unnecessary Build-Depends: libqt5webkit5-dev.

 -- Bastian Germann <bage@debian.org>  Wed, 22 Jan 2025 20:46:13 +0100

texmaker (5.1.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Build with system zlib (closes: #1075565).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Sep 2024 23:26:41 +0300

texmaker (5.1.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches, Remove some patches, merge with upstream.
    + 10_spelling_dict.patch
    + 20-add-keywords-desktop-file.patch
    + 30-fix-spelling-errors.patch
  * debian/patches, Refresh patches offset.
    + 50-Add-link-to-system-installed-synctex-lib.patch
    + 70-add-crossbuild-support.patch
  * debian/control, Bump Standards-Version to 4.6.1 (no changes).
  * debian/copyright, Update debian copyright holder years.
  * debian/watch, Update URI to https.
  * debian/rules, set DEBIAN_SPELLDIR. (Closes: #898261)
    + Convert national encoding to UTF-8.
  * debian/upstream/metadata, Add upstream metadata.

 -- Julián Moreno Patiño <julian@debian.org>  Tue, 01 Nov 2022 16:11:04 -0500
