=== debian/control ===
Source: texmaker
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Julián Moreno Patiño <julian@debian.org>
Section: tex
Priority: optional
Build-Depends: debhelper-compat (= 13),
               qtscript5-dev,
               qtbase5-dev,
               libglib2.0-dev,
               libpoppler-qt5-dev,
               libpoppler-private-dev,
               qtdeclarative5-dev,
               libqt5opengl5-dev,
               libsynctex-dev,
               qtbase5-private-dev,
               zlib1g-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/science-team/texmaker
Vcs-Git: https://salsa.debian.org/science-team/texmaker.git
Homepage: https://www.xm1math.net/texmaker/
Rules-Requires-Root: no

Package: texmaker
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         texmaker-data (= ${source:Version})
Recommends: aspell,
            ghostscript,
            netpbm,
            psutils,
            texlive-latex-extra,
            texlive-lang-english,
            hunspell-en-us | hunspell-dictionary | myspell-dictionary,
            asymptote
Suggests: texlive-lang-all
Description: cross-platform LaTeX editor
 Texmaker is a clean, highly configurable LaTeX editor with good hot key
 support and extensive LaTeX documentation. Texmaker integrates many tools
 needed to develop documents with LaTeX, in just one application. It has
 some nice features such as syntax highlighting, insertion of 370 mathematical
 symbols with only one click, and "structure view" of the document for easier
 navigation.

Package: texmaker-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: texmaker (<< ${source:Version})
Conflicts: texmaker (= 5.1.2+dfsg-1)
Description: Texmaker LaTeX editor -- arch-independent files
 Texmaker is a clean, highly configurable LaTeX editor with good hot key
 support and extensive LaTeX documentation.
 .
 This package contains documentation and arch-independent files for Texmaker.
