## texmaker 6.0.1%2Bdfsg

=== debian/changelog ===
texmaker (6.0.1+dfsg-2) unstable; urgency=medium

  * debian/control, Restrict qt6-webengine-dev to supported arches.

 -- Julián Moreno Patiño <julian@debian.org>  Sun, 02 Nov 2025 22:08:11 -0500

texmaker (6.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #1048798)
  * debian/patches, Remove some patches, refactored.
    + Add fix-build-against-qt-6-10.patch to avoid FTBFS.
    + Add use-system-libs.patch to avoid emmbeded copies.
    + Add update-metadata.patch to make lintian happy.
  * debian/watch, Update to 5 format.
  * debian/upstream/metadata, Update metadata.
  * debian/texmaker.docs, Update docs path.
  * debian/texmaker-data.install, Update dictionaries path.
  * debian/rules, Update to use cmake.
  * debian/control, Bump Standards-Version to 4.7.2 (no changes).
    + Update dependencies to QT6.
    + Add dymanic libraries.
    + Add breaks with previous version.
    + Add cmake.
    + Remove Rules-Requires-Root, is not needed anymore.
  * debian/copyright, Update upstream and debian copyright.

 -- Julián Moreno Patiño <julian@debian.org>  Sun, 26 Oct 2025 21:15:42 -0500
