## texmaker 6.0.1+dfsg

=== CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0+
#cmake -DCMAKE_PREFIX_PATH=path to Qt6 .
#cmake --build .
#cmake --install .
#cmake --build . --target texmaker_lupdate
#cmake --build . --target texmaker_lrelease
# MACOS
# qt-cmake -DCMAKE_OSX_ARCHITECTURES="x86_64;arm64" .
# make
# make install
# WINDOWS
# qt-cmake .
# cmake --build . --config Release
# cmake --install .

cmake_minimum_required(VERSION 3.16)
project(texmaker VERSION 6.0.1 LANGUAGES CXX C)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY_RELEASE ${CMAKE_BINARY_DIR})

################ OPTIONS ####################
set(COMPILEUSB "no")
set(AUTHORIZELINUXQSTYLES "yes")
set(INTERNALBROWSER "yes")
set(DEBIANSPELLDIR "no")
################# INSTALL_DIR #####################
if (UNIX AND NOT APPLE)
    if (${COMPILEUSB} STREQUAL "yes")
        set(INSTALL_DIR ${CMAKE_SOURCE_DIR}/deploy/linux_portable)
    else()
        set(INSTALL_DIR "/usr")
    endif()
elseif (WIN32)
    if (${COMPILEUSB} STREQUAL "yes")
        set(INSTALL_DIR ${CMAKE_SOURCE_DIR}/deploy/win_portable)
    else()
        set(INSTALL_DIR ${CMAKE_SOURCE_DIR}/deploy/win_desktop)
    endif()
elseif (APPLE)
    set(INSTALL_DIR ${CMAKE_SOURCE_DIR}/deploy/macos)
endif()
################## RESOURCES ########################
if (UNIX AND NOT APPLE)
set(UTILITIES_FILES
  ${CMAKE_SOURCE_DIR}/datas/doc/doc10.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc11.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc12.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc13.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc14.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc15.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc16.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc17.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc1.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc20.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc21.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc22.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc2.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc3.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc4.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc5.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc6bis.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc6.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc7.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc8.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc9.png
  ${CMAKE_SOURCE_DIR}/datas/doc/latexhelp.html
  ${CMAKE_SOURCE_DIR}/datas/doc/usermanual_en.html
  ${CMAKE_SOURCE_DIR}/datas/doc/usermanual_fr.html
  ${CMAKE_SOURCE_DIR}/AUTHORS
  ${CMAKE_SOURCE_DIR}/COPYING
  ${CMAKE_SOURCE_DIR}/datas/CHANGELOG.txt
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker16x16.png
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker22x22.png
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker32x32.png
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker48x48.png
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker64x64.png
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker128x128.png
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker.svg
  ${CMAKE_SOURCE_DIR}/datas/scripts/titlecase_selection.tms
  ${CMAKE_SOURCE_DIR}/datas/scripts/hardwordwrap_selection_80col.tms
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_ar.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_ca.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_cs.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_da.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_de.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_en.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_es.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_fa.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_fi.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_fr.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_gl.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_he.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_hu.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_it.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_ja.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_ko.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_lt.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_pl.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_pt.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_ru.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_sk.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_sl.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_sv.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_uk.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_zh_CN.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_zh_TW.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_de.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_es.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_fr.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_gl.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_it.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_pt.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_pt_BR.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_ru.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_zh_CN.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_zh_TW.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_cs.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_nl.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_fa.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_pl.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_hu.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_sr.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_el.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_se.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_ar.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_lv.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_uk.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_vi_VN.qm
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/nl_NL.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/nl_NL.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/de_DE.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/de_DE.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/en_GB.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/en_GB.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/en_US.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/en_US.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/es_ES.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/es_ES.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/fr_FR.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/fr_FR.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/it_IT.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/it_IT.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/it_IT_README.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/hu_HU.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/hu_HU.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_hu_HU.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/cs_CZ.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/cs_CZ.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/pl_PL.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/pl_PL.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/pt_PT.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/pt_PT.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/ca_CA.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/ca_CA.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_pt_PT.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_pl.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_cs_CZ.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_de_DE_frami.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_DIC_fr_FR.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_es_ES.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_en_US.txt
)
set(DESKTOP_FILES
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker.desktop
)
set(ICON_FILES
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker.png
)
set(METAINFO_FILES
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker.metainfo.xml
)
elseif (WIN32)
set(RESOURCE_FILES
  ${CMAKE_SOURCE_DIR}/datas/distrib/win/texmaker.ico
  ${CMAKE_SOURCE_DIR}/datas/doc/doc10.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc11.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc12.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc13.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc14.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc15.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc16.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc17.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc1.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc20.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc21.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc22.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc2.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc3.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc4.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc5.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc6bis.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc6.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc7.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc8.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc9.png
  ${CMAKE_SOURCE_DIR}/datas/doc/latexhelp.html
  ${CMAKE_SOURCE_DIR}/datas/doc/usermanual_en.html
  ${CMAKE_SOURCE_DIR}/datas/doc/usermanual_fr.html
  ${CMAKE_SOURCE_DIR}/AUTHORS
  ${CMAKE_SOURCE_DIR}/COPYING
  ${CMAKE_SOURCE_DIR}/datas/CHANGELOG.txt
  ${CMAKE_SOURCE_DIR}/datas/scripts/titlecase_selection.tms
  ${CMAKE_SOURCE_DIR}/datas/scripts/hardwordwrap_selection_80col.tms
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_de.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_es.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_fr.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_gl.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_it.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_pt.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_pt_BR.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_ru.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_zh_CN.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_zh_TW.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_cs.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_nl.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_fa.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_pl.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_hu.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_sr.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_el.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_se.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_ar.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_lv.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_uk.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_vi_VN.qm
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/nl_NL.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/nl_NL.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/de_DE.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/de_DE.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/en_GB.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/en_GB.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/en_US.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/en_US.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/es_ES.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/es_ES.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/fr_FR.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/fr_FR.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/it_IT.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/it_IT.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/it_IT_README.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/hu_HU.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/hu_HU.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_hu_HU.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/cs_CZ.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/cs_CZ.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/pl_PL.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/pl_PL.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/pt_PT.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/pt_PT.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/ca_CA.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/ca_CA.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_pt_PT.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_pl.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_cs_CZ.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_de_DE_frami.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_DIC_fr_FR.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_es_ES.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_en_US.txt
)
set(ICON_FILE "${CMAKE_SOURCE_DIR}/datas/distrib/win/win.rc")
elseif (APPLE)
set(RESOURCE_FILES
