=== debian/changelog ===
texmaker (6.0.1+dfsg-3build1) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Feb 2026 08:06:12 +0000

texmaker (6.0.1+dfsg-3) unstable; urgency=medium

  * debian/control, Revert changes to restrict hard B-D.

 -- Julián Moreno Patiño <julian@debian.org>  Tue, 04 Nov 2025 23:56:52 -0500
