=== debian/control ===
--- 
+++ 
@@ -1,25 +1,33 @@
 Source: texmaker
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Julián Moreno Patiño <julian@debian.org>
 Section: tex
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               qtscript5-dev,
-               qtbase5-dev,
-               libglib2.0-dev,
-               libpoppler-qt5-dev,
-               libpoppler-private-dev,
-               qtdeclarative5-dev,
-               libqt5opengl5-dev,
+Build-Depends: cmake (>= 3.4),
+               debhelper-compat (= 13),
+               libfreetype-dev,
+               libhunspell-dev,
+               liblcms2-dev,
+               libopenjp2-7-dev,
+               libpng-dev,
                libsynctex-dev,
-               qtbase5-private-dev,
+               libturbojpeg0-dev,
+               libtiff-dev,
+               pkgconf,
+               qt6-5compat-dev,
+               qt6-base-dev,
+               qt6-base-private-dev,
+               qt6-declarative-dev,
+               qt6-tools-dev,
+               qt6-tools-dev-tools,
+               qt6-webengine-dev,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/texmaker
 Vcs-Git: https://salsa.debian.org/science-team/texmaker.git
 Homepage: https://www.xm1math.net/texmaker/
-Rules-Requires-Root: no
 
 Package: texmaker
 Architecture: any
@@ -48,7 +56,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Replaces: texmaker (<< ${source:Version})
-Conflicts: texmaker (= 5.1.2+dfsg-1)
+Breaks: texmaker (= 5.1.3+dfsg-3)
 Description: Texmaker LaTeX editor -- arch-independent files
  Texmaker is a clean, highly configurable LaTeX editor with good hot key
  support and extensive LaTeX documentation.
